CVE-2024-21524

CVSS 3.1 Score 8.2 of 10 (high)

Details

Published Jul 10, 2024
Updated: Jul 11, 2024
CWE ID 125

Summary

CVE-2024-21524 is a vulnerability that affects all versions of the package node-stringbuilder. The vulnerability is categorized as an Out-of-bounds Read (CWE-125) and can lead to an Information Disclosure. This occurs due to incorrect memory length calculation when calling certain methods on a StringBuilder object with a non-empty string value input. By providing negative indexes, it is possible to access previously allocated memory. The vulnerability has a base severity rating of HIGH and an exploitability score of 3.9, indicating its potential danger. Remediation for this vulnerability involves updating to a fixed version of the package.

Prevent cyber attacks with Recorded Future by prioritizing and patching critical vulnerabilities being exploited by threat actors targeting your industry. Book your demo to learn more.

Share

Prioritize, Pinpoint, and Act to Prevent Vulnerability Exploits with Recorded Future

Note: This is just a basic overview providing quick insights into CVE-2024-21524 information. Gain full access to comprehensive CVE data, third party vulnerabilities, compromised credentials and more with Recorded Future
  • Gain complete coverage of your cyber, third party, and physical attack surface
  • Proactively mitigate threats before they turn into costly attacks
  • Make fast, effective, data-driven decisions